<?php
/**
 * The Passwd_expect class provides an expect implementation of the
 * passwd system.
 *
 * $Horde: passwd/lib/Driver/expect.php,v 1.16 2004/04/06 23:40:11 max Exp $
 *
 * Copyright 2000 Gaudenz Steinlin <gaudenz@soziologie.ch>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Gaudenz Steinlin <gaudenz.steinlin@id.unibe.ch>
 * @version $Revision$
 * @since   Passwd 2.2
 * @package Passwd
 */
class Passwd_Driver_expect extends Passwd_Driver {

    /**
     * Change the users password by executing an expect script.
     *
     * @param $user          User ID.
     * @param $old_password  Old password.
     * @param $new_password  New password.
     *
     * @return boolean  True on success, false or error message on error.
     */
    function changePassword($user, $old_password, $new_password)
    {
        global $conf;

        // Temporary logfile for error messages.
        $log = tempnam(ini_get('upload_tmp_dir') ?
                       ini_get('upload_tmp_dir') :
                       '/tmp',
                       'passwd');

        // Open expect script for writing.
        $prog = $this->_params['program'] . ' -f ' . $this->_params['script'] .
            ' -- ' . $this->_params['params'] . ' -log ' . $log;

        $exp = @popen($prog, 'w');
        @fwrite($exp, "$user\n");
        @fwrite($exp, "$old_password\n");
        @fwrite($exp, "$new_password\n");
        if (@pclose($exp)) {
            $errormsg = implode(' ', @file($log));
            @unlink($log);
            return $errormsg ? PEAR::raiseError($errormsg) : false;
        }

        return true;
    }

}
