<?php
/**
 * Form Class for SpamAssassin Options Management.
 *
 * $Horde: sam/lib/OptionsForm.php,v 1.8 2005/01/03 14:35:26 jan Exp $
 *
 * Copyright 2003-2005 Max Kalika <max@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Max Kalika <max@horde.org>
 * @version $Revision$
 * @package Sam
 */
class OptionsForm extends Horde_Form {

    function OptionsForm(&$vars)
    {
        global $sam_driver;

        parent::Horde_Form($vars, _("Spam Options"));

        $this->setButtons(_("Save"), true);

        foreach (SAM::getAttributes() as $key => $attribute) {
            if (SAM::infoAttribute($attribute['type']) ||
                $sam_driver->hasCapability($key)) {
                $var = &$this->addVariable($attribute['label'],
                                           $key, $attribute['type'],
                                           !empty($attribute['required']),
                                           !empty($attribute['readonly']),
                                           isset($attribute['description'])
                                               ? $attribute['description']
                                               : null,
                                           isset($attribute['params'])
                                               ? $attribute['params']
                                               : array());

                $var->setHelp($key);

                if (!$vars->exists($key)) {
                    $value = $sam_driver->getOption($key);
                    if ($attribute['type'] == 'boolean') {
                        $boolean = $sam_driver->optionToBoolean($value);
                        $vars->set($key, $boolean);
                    } else {
                        $vars->set($key, $value);
                    }
                }
            }
        }

        if ($sam_driver->hasCapability('global_defaults') && Auth::isAdmin()) {
            $this->addVariable('', '', 'spacer', false);
            $var = &$this->addVariable(_("Make Settings Global"),
                                       'global_defaults', 'boolean', false);
            $var->setHelp('global_defaults');
        }
    }

}
