-- $Horde: sam/scripts/sql/amavisd_sql.mysql.sql,v 1.1 2004/09/18 20:18:58 chuck Exp $

-- local users
CREATE TABLE users (
  id         int unsigned DEFAULT '0' NOT NULL auto_increment,
  policy_id  int unsigned DEFAULT '1' NOT NULL,
  email      varchar(255) NOT NULL,
  PRIMARY KEY (id),
  KEY email (email)
);
CREATE UNIQUE INDEX users_idx_email ON users(email);

-- any e-mail address, external or local, used as senders in wblist
CREATE TABLE mailaddr (
  id         int unsigned DEFAULT '0' NOT NULL auto_increment,
  email      varchar(255)             NOT NULL,
  PRIMARY KEY (id),
  KEY email (email)
);
CREATE UNIQUE INDEX mailaddr_idx_email ON mailaddr(email);

-- per-recipient whitelist and/or blacklist,
-- puts sender and recipient in relation wb  (white or blacklisted sender)
CREATE TABLE wblist (
  rid        int unsigned NOT NULL,     -- recipient: users.id
  sid        int unsigned NOT NULL,     -- sender:    mailaddr.id
  wb         char(1)      NOT NULL,     -- W or Y / B or N
  PRIMARY KEY (rid,sid)
);

CREATE TABLE policy (
  id                   int unsigned DEFAULT '0' NOT NULL auto_increment,
  policy_name          varchar(255), -- not used by amavisd-new

  virus_lover          char(1),      -- Y/N
  spam_lover           char(1),      -- Y/N  (optional field)
  banned_files_lover   char(1),      -- Y/N  (optional field)
  bad_header_lover     char(1),      -- Y/N  (optional field)

  bypass_virus_checks  char(1),      -- Y/N
  bypass_spam_checks   char(1),      -- Y/N
  bypass_banned_checks char(1),      -- Y/N  (optional field)
  bypass_header_checks char(1),      -- Y/N  (optional field)
 
  spam_modifies_subj   char(1),      -- Y/N  (optional field)
  spam_quarantine_to   varchar(64) DEFAULT NULL,   -- (optional field)
  spam_tag_level       float,                      -- higher score inserts spam info headers
  spam_tag2_level      float       DEFAULT NULL,   -- higher score inserts
                                                   -- 'declared spam' info header fields
  spam_kill_level      float,                      -- higher score activates evasive actions, e.g.
                                                   -- reject/drop, quarantine, ...
                                                   -- (subject to final_spam_destiny setting)
  addr_extension_spam   varchar(32),               -- extension to add to the localpart of an
                                                   -- address for detected spam
  addr_extension_virus  varchar(32),               -- extension to add to the localpart of an
                                                   -- address for detected viruses
  addr_extension_banned varchar(32),               -- extension to add to the localpart of an
                                                   -- address for detected banned files
  PRIMARY KEY (id)
);
CREATE UNIQUE INDEX policy_idx_policy_name ON policy(policy_name);
