<?php
/**
 * $Horde: mimp/config/mime_drivers.php.dist,v 1.5.2.1 2007/12/20 12:09:25 jan Exp $
 *
 * Decide which output drivers you want to activate for the MIMP application.
 * Settings in this file override settings in horde/config/mime_drivers.php.
 *
 * The available drivers are:
 * --------------------------
 * alternative    multipart/alternative parts
 * html           Conversion of HTML to basic text/plain
 * multipart      All other multipart/* messages
 * plain          text/plain parts
 * related        multipart/related parts
 */
$mime_drivers_map['mimp']['registered'] = array(
    'alternative', 'html', 'multipart', 'plain', 'related'
);

/**
 * If you want to specifically override any MIME type to be handled by
 * a specific driver, then enter it here.  Normally, this is safe to
 * leave, but it's useful when multiple drivers handle the same MIME
 * type, and you want to specify exactly which one should handle it.
 */
$mime_drivers_map['mimp']['overrides'] = array();

/**
 * Driver specific settings. See horde/config/mime_drivers.php for
 * the format.
 */

/**
 * Text driver settings.
 */
$mime_drivers['mimp']['plain'] = array(
    'inline' => true,
    'handles' => array(
        'text/plain', 'message/delivery-status', 'text/rfc822-headers'
    )
);


/**
 * HTML driver settings.
 */
$mime_drivers['mimp']['html'] = array(
    'inline' => true,
    'handles' => array(
        'text/html', 'text/enriched'
    ),
    /* Check for phishing exploits? */
    'phishing_check' => true
);


/**
 * multipart/alternative settings
 * YOU SHOULD NOT NORMALLY ALTER THIS SETTING.
 */
$mime_drivers['mimp']['alternative'] = array(
    'inline' => true,
    'handles' => array(
        'multipart/alternative'
    )
);


/**
 * multipart/related settings
 * YOU SHOULD NOT NORMALLY ALTER THIS SETTING.
 */
$mime_drivers['mimp']['related'] = array(
    'inline' => true,
    'handles' => array(
        'multipart/related'
    )
);


/**
 * All other multipart/* messages
 * YOU SHOULD NOT NORMALLY ALTER THIS SETTING.
 */
$mime_drivers['mimp']['multipart'] = array(
    'inline' => true,
    'handles' => array(
        'multipart/*'
    )
);
